Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Interface
Class FileExtFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          Interface.FileExtFilter

public class FileExtFilter
extends javax.swing.filechooser.FileFilter

Sun JavaClass which provides extensions selection facilities in File dialogues. This in the only class that we have not programmed and designed ourselves.

Constructor Summary
`FileExtFilter(java.lang.String extension, java.lang.String description)`

Method Summary
`boolean` | `accept(java.io.File f)`
`void` | `addExtension(java.lang.String extension)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getExtension(java.io.File f)`
`boolean` | `isExtensionListInDescription()`
`void` | `setDescription(java.lang.String description)`
`void` | `setExtensionListInDescription(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileExtFilter

    public FileExtFilter(java.lang.String extension,
                         java.lang.String description)

Method Detail

### accept

    public boolean accept(java.io.File f)

### getExtension

    public java.lang.String getExtension(java.io.File f)

### addExtension

    public void addExtension(java.lang.String extension)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### setExtensionListInDescription

    public void setExtensionListInDescription(boolean b)

### isExtensionListInDescription

    public boolean isExtensionListInDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD